NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Facet.SewFacetBodyBuilder Class Reference

Represents a NXOpen.Facet.SewFacetBodyBuilder It sews two touching NX facet bodies. More...

Inheritance diagram for NXOpen.Facet.SewFacetBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Input { Keep, Delete, Hide }
 Represents the option for keeping, deleting or hiding input two facet bodies after builder committing More...
 
enum  VertexIndex { First, Second }
 Index of the vertex More...
 

Public Member Functions

unsafe void FlipRange ()
 Flip the range between the first and second vertex More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Facet.SelectFacetedBody 
DeformBody [get]
 Returns the deform body to be sewed More...
 
unsafe NXOpen.Expression DeformDistance [get]
 Returns the distance to control the deform area on the deform body More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance used in the merge touching facet body feature More...
 
unsafe
NXOpen.Facet.SewFacetBodyBuilder.Input 
InputStatus [get, set]
 Returns or sets the option to specify how to deal with the input two facet bodies: keep, delete or hide More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
TargetBody [get]
 Returns the target body to be sewed More...
 
unsafe NXOpen.Point Vertex1 [get, set]
 Returns or sets the first vertex used to define the range More...
 
unsafe NXOpen.Point Vertex2 [get, set]
 Returns or sets the second vertex used to define the range More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.SewFacetBodyBuilder It sews two touching NX facet bodies.

User need to specify the range on one of input body. The range on the other body is calculated automatically by choosing the closest vertex. It retruns a new mergered NX facet body. The two input bodies can be kept, deleted or hidden.

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateSewFacetBodyBuilder

Default values.

Property Value

DeformDistance.Value

0.5 (millimeters part), 0.05 (inches part)

InputStatus

Keep

Created in NX9.0.0

Member Enumeration Documentation

Represents the option for keeping, deleting or hiding input two facet bodies after builder committing

Enumerator
Keep 

Keep the input facet body after builder committing

Delete 

Delete the input facet body after builder committing

Hide 

Hide the input facet body after builder committing

Index of the vertex

Enumerator
First 

Index of the first vertex

Second 

Index of the second vertex

Member Function Documentation

unsafe void NXOpen.Facet.SewFacetBodyBuilder.FlipRange ( )
inline

Flip the range between the first and second vertex

Created in NX9.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Facet.SewFacetBodyBuilder.DeformBody
get

Returns the deform body to be sewed

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Facet.SewFacetBodyBuilder.DeformDistance
get

Returns the distance to control the deform area on the deform body

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Facet.SewFacetBodyBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance used in the merge touching facet body feature

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Facet.SewFacetBodyBuilder.Input NXOpen.Facet.SewFacetBodyBuilder.InputStatus
getset

Returns or sets the option to specify how to deal with the input two facet bodies: keep, delete or hide

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Facet.SewFacetBodyBuilder.TargetBody
get

Returns the target body to be sewed

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Facet.SewFacetBodyBuilder.Vertex1
getset

Returns or sets the first vertex used to define the range

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Point NXOpen.Facet.SewFacetBodyBuilder.Vertex2
getset

Returns or sets the second vertex used to define the range

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.